<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.HTableHeadMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.HTableHead">
        <result column="code" property="code"/>
        <result column="product_name" property="productName"/>
        <result column="production" property="production"/>
        <result column="del_flag" property="delFlag"/>
        <result column="unit" property="unit"/>
        <result column="calculationResults" property="calculationResults"/>
        <result column="refModulus" property="refModulus"/>
        <result column="codes" property="codes"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        code, product_name, production, del_flag, unit, calculationResults, refModulus, codes
    </sql>

    <select id="getTableHeadByCodes" resultType="com.nantian.cloud.jljc.entity.HTableHead">
        select <include refid="Base_Column_List"></include>
        from h_table_head
        where del_flag="1" and codes = #{codes}
    </select>

</mapper>
